Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gradle.external.javadoc
Enum JavadocMemberLevel

    java.lang.Object
      java.lang.Enum<JavadocMemberLevel>
          org.gradle.external.javadoc.JavadocMemberLevel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<JavadocMemberLevel>

    public enum JavadocMemberLevel

extends java.lang.Enum<JavadocMemberLevel>

This enum maps to the -public, -protected, -package and -private options of the javadoc executable.

Enum Constant Summary
`PACKAGE` Shows only package, protected, and public classes and members.
`PRIVATE` Shows all classes and members.
`PROTECTED` Shows only protected and public classes and members.
`PUBLIC` Shows only public classes and members.

Method Summary
`static JavadocMemberLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static JavadocMemberLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PUBLIC

    public static final JavadocMemberLevel PUBLIC

  Shows only public classes and members.

### PROTECTED

    public static final JavadocMemberLevel PROTECTED

  Shows only protected and public classes and members. This is the default.

### PACKAGE

    public static final JavadocMemberLevel PACKAGE

  Shows only package, protected, and public classes and members.

### PRIVATE

    public static final JavadocMemberLevel PRIVATE

  Shows all classes and members.

Method Detail

### values

    public static JavadocMemberLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JavadocMemberLevel c : JavadocMemberLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JavadocMemberLevel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD